import * as React from 'react'
import { Route, BrowserRouter as Router, Switch, Redirect } from 'react-router-dom'
import { routeConfigs } from './config'
export default () => {
  return (
    <Router>
      <Switch>
        {routeConfigs.map((route) => {
          if (route.childs) {
            return (
              <Route
                {...route}
                key={route.path}
                component={(props) => {
                  return <route.component {...props} routes={route.childs}></route.component>
                }}
              ></Route>
            )
          }
          return (
            <Route
              {...route}
              key={route.path}
              component={(props) => {
                return <route.component {...route} {...props}></route.component>
              }}
            ></Route>
          )
        })}
      </Switch>
    </Router>
  )
}
